/*****************************************************************************
 *   adc.h:  Header file for Philips LPC214x Family Microprocessors
 *
 *   Copyright(C) 2006, Philips Semiconductor
 *   All rights reserved.
 *
 *   History
 *   2005.10.01  ver 1.00    Prelimnary version, first Release
 *
******************************************************************************/
#ifndef __ADC_H 
#define __ADC_H

#define ADC_INTERRUPT_FLAG	1	/* 1 is interrupt driven, 0 is polling */

#define ADC_INDEX	4

#define ADC_DONE	0x80000000
#define ADC_OVERRUN	0x40000000
#define ADC_ADINT	0x00010000

#define ADC_NUM		8			/* for LPC2146/8 */
#define ADC_CLK		1000000		/* set to 1Mhz */

extern unsigned long ADCInit( unsigned long ADC_Clk );
extern unsigned long ADC0Read( unsigned char channelNum );
extern unsigned long ADC1Read( unsigned char channelNum );

void ADC1ReadBegin( unsigned char channelNum );
unsigned long ADC1ReadEnd( unsigned char channelNum );

#endif /* end __ADC_H */
/*****************************************************************************
**                            End Of File
******************************************************************************/
